### Class

# St FocusManager

#### Description [src]

    final class St.FocusManager : GObject.Object
    {
      /* No available fields */
    }

Keyboard focus management

`StFocusManager` handles keyboard focus for all actors on the stage.

#### Ancestors

- GObject

#### Functions

###### st_focus_manager_get_for_stage

Gets the `StFocusManager` for `stage`, creating it if necessary.

#### Instance methods

###### st_focus_manager_add_group

Adds a new focus group to `manager`. When the focus is in an actor that is a descendant of `root`, `manager` will handle moving focus from one actor to another within `root` based on keyboard events.

###### st_focus_manager_get_group

Checks if `widget` is inside a focus group, and if so, returns the root of that group.

###### st_focus_manager_navigate_from_event

Try to navigate from `event` as if it bubbled all the way up to the stage. This is useful in complex event handling situations where you want key navigation, but a parent might be stopping the key navigation event from bubbling all the way up to the stage.

###### st_focus_manager_remove_group

Removes the group rooted at `root` from `manager`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct StFocusManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.